### Name: plotSubGroups
### Title: ~ Function: plotSubGroups for LongData ~
### Aliases: plotSubGroups plotSubGroups,LongData
###   plotSubGroups,LongData-method
### Keywords: hplot cluster ts methods

### ** Examples

#############
### Building data
ld <- gald()
par(ask=TRUE)

### Default ploting
plotSubGroups(ld)

### Only the trajectories in black
plotSubGroups(ld,col=1,type.mean="n")

### Plot according to a partition
###   (regular plot, then plotSubGroups
part <- partition(clusters=rep(LETTERS[1:4],each=50),nbClusters=4)
plot(ld,part,type.mean="n")
plotSubGroups(ld,part,type.mean="n")

### Only the mean trajectories, with letters (for publication ?)
plotSubGroups(ld,part,type="n",col.mean=1,size=2)

### All at once.
plotSubGroups(ld,part)

par(ask=FALSE)



